> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Permissions

> Update a queue's user/group permissions



## OpenAPI

````yaml /openapi/product/task-center-api.yaml post /api/queues/v1/{queueId}/permissions
openapi: 3.0.3
info:
  title: Domo Task Center API
  description: >
    Task Center allows you to organize manual tasks into different queues of
    work and control who can access them. They are often used in concert with
    Workflows.


    For more background on Task Center, please see the Knowledge Base.
  version: 1.0.0
  contact:
    name: Domo Support
    url: https://www.domo.com
servers:
  - url: https://{instance}.domo.com
    description: Domo Task Center API
    variables:
      instance:
        default: your-instance
        description: Your Domo instance name
security:
  - DeveloperToken: []
paths:
  /api/queues/v1/{queueId}/permissions:
    post:
      tags:
        - Task Center API (Product)
      summary: Update Permissions
      description: Update a queue's user/group permissions
      operationId: updateQueuePermissions
      parameters:
        - name: queueId
          in: path
          required: true
          description: The ID of the queue
          schema:
            type: string
          example: bca21fad-e06b-4905-b43a-ea0929850e47
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/PermissionEntry'
            example:
              - id: '337992616'
                permissions:
                  - ADMIN
                  - SHARE
                  - DELETE
                  - WRITE
                  - READ
                  - CREATE_CONTENT
                  - READ_CONTENT
                  - UPDATE_CONTENT
                  - DELETE_CONTENT
                  - EXPORT
                  - EXECUTE
                name: Daniel Bateman
                type: USER
              - id: '700632923'
                permissions:
                  - ADMIN
                name: Daniel's Test User
                type: USER
              - id: '519150798'
                permissions: []
                name: Jordan Tiller
                type: USER
      responses:
        '200':
          description: Permissions updated successfully
        '401':
          description: Unauthorized - Invalid or missing authentication token
        '404':
          description: Queue not found
components:
  schemas:
    PermissionEntry:
      type: object
      required:
        - id
        - permissions
        - name
        - type
      properties:
        id:
          type: string
          description: The user or group id.
        permissions:
          type: array
          items:
            type: string
            enum:
              - ADMIN
              - SHARE
              - DELETE
              - WRITE
              - READ
              - CREATE_CONTENT
              - READ_CONTENT
              - UPDATE_CONTENT
              - DELETE_CONTENT
              - EXPORT
              - EXECUTE
          description: >-
            An array of permissions. The array can be empty (Removes an
            permissions). Options are
          example:
            - ADMIN
            - READ
            - EXECUTE
        name:
          type: string
          description: Display name of the user or group
        type:
          type: string
          enum:
            - USER
            - GROUP
          description: Type of entity
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication

````